/* --------------------------------- unix.c --------------------------------- */

/* This is part of the flight simulator 'fly8'.
 * Author: Eyal Lebedinsky (eyal@ise.canberra.edu.au).
*/

/* general system-specific stuff for UNIX.
*/

#include <stdlib.h>

#include "fly.h"

static int FAR
init (void)
{
	return (0);
}

static void FAR
term (void)
{}

static void FAR
poll (void)
{}

static short FAR
disable (void)
{
	return (0);
}

static void FAR
enable (short flags)
{}

static void FAR
shell (void)
{
	MsgWPrintf (20, "shell not implemented");
}

struct SysDriver SysDriver = {
	"UNIX",
	0,
	init,
	term,
	poll,
	disable,
	enable,
	shell
};
