@echo off
:: ---------------------------------- find.bat -------------------------------

:: This is part of the flight simulator 'fly8'.
:: Author: Eyal Lebedinsky (eyal@ise.canberra.edu.au).

:: Find an address in the link map. used when a divide-overflow is reported
:: in the log file.

if not exist f.map goto err
if "%1" == "" goto using

awk -f find.awk AD=%1 <f.map 
goto end

:err
echo missing map file 'f.map'
goto end

:using
echo usage: find nnnn:nnnn
goto end

:end
