/* --------------------------------- sound.c -------------------------------- */

/* This is part of the flight simulator 'fly8'.
 * Author: Eyal Lebedinsky (eyal@ise.canberra.edu.au).
*/

/* Sound drivers manager.
*/

#include <stdio.h>
#include <string.h>

#include "fly.h"

extern struct SndDriver *SndDrivers[];

extern struct SndDriver *FAR
sound_init (char *name)
{
	struct SndDriver	**p;

	p = SndDrivers;
	if (name)
		for (; *p; ++p)
			if (!stricmp ((*p)->name, name))
				break;
	return (*p);
}

extern void FAR
sound_term (void)
{
	return;
}
