/* --------------------------------- system.c ------------------------------- */

/* This is part of the flight simulator 'fly8'.
 * Author: Eyal Lebedinsky (eyal@ise.canberra.edu.au).
*/

/* Common system-services.
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "fly.h"

extern void FAR
sys_poll (void)
{
	st.lasttime = Tm->Milli () - st.big_bang;
	Sys->Poll ();
	Snd->Poll ();
	idle_loop ();
}
